:root {
    --main-bg-color: #FFF;
    --main-font-color: #333;
    --highlight-font-color: #eee;
    --color-correct: rgb(106, 170, 100);
    --color-present: rgb(201, 180, 88);
    --color-absent: rgb(120, 124, 126);
    --border-standard: 2px solid #ccc;
	--border-highlight: 2px solid #999;
    --key-font-color: #333;
    --key-highlight-bg-color: #aaa;
    --key-bg-color: #cdcdcd;
    --animation-delay: 0.15s;
}

* {
    box-sizing: border-box;
    touch-action: manipulation;
    /* disable double tap to zoom */
}

html {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--main-bg-color);
    user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
    margin: 0;
    padding: 0;
    color: var(--main-font-color);
    font-family: 'Work Sans', sans-serif;
    font-size: 2.5vmin;
}

/*
-------------------------------------------------------------------
HEADER
-------------------------------------------------------------------
*/


.flag-de {
background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAAZpJREFUSIm11b9LVWEYB/DPc7jkFDSkYRa4mNdBiKZwqCGdI6gog6glaBOHqP6YFrUo6i+4V6gGx4harNaSwkDEybzcp+GqXPzR1Tz3C8/ynsPnyzmc9z3h3zmDSVzCKE5urv/GZ7zHHH50cPaEn6OB7DAbmyUDB8VvYu0A8M5Zw41O+DSa/4FvTRNT++G3j4i3l9zaiQ9gpQR8a1Zxtr1grkR8a2Yg7jkx+NH6QkP2JpX93t9hEjQqYvm8nrHKE33XUvSXAbelgn5cLVKMl4xvJ8VEgZFuFYQcKdDXrQKcKrqIQxb41S095M8Ci90qaCq+FCHr3SoIWYuVxxcHey4cW4hK9JKlbDSikY1cXv/wZywgv47P4k45+GbSTAzX77a+omY80jrsysqqovEUCohqbUnmQ61D6qhpCg9i6O337QKI4fmXwvQRSxJTMVR/te3uuuPblesynuH4IfE13I9z9Tfti7t2cgzNv9aMqsxZrR96p2xIM5pR3YmzxxO0JxcnTityEpelUaG3dcGyyE+yeCe9iGptaT/jL7QcykA+pd7xAAAAAElFTkSuQmCC');
    background-size: cover;
  background-position: center center;
  display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
}
.flag-usa {
  background-size: cover;
  background-position: center center;
  display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAA29JREFUSIm1lV1sk1UYx3/n7bsWu5nSzrlGqiFowBghRFlYzJwbiQoREqDChfYCUK+MwYyFiEZjNFGzLRoRjQaDkSgBJ8NlGORDIrtwbowF2Qg4WTfXrmPr59qt68f7vscLncpct6Hb/+rkOc/z+59z8pw8gmlUtf9CaU8wsyc6qq2+OpgsjCd19fonD40BfqBPCHFc07TGwsJCXy6GmCr4+ZkrS+t/ih092xW937nQwo5KJx+fDuCPpIkdKJucbgBHpZS77XZ734wGvqGY2x9KHtxQ02mNjGrUeZawrcLJurc7ab0WJ1AemvqoupEyfht4y7X31TdzGmytbW3QDDYiEQ1tQQAeXWHHMKB7MIkvnOZqw65crwFCsODJx44trt+7eSKkTCw877XXftUS3NTyy4houxb/q+b0pSjxcQ1fOJ0bPCEpSdWf3NTrqX7nhhu8/uXllftO+TvyLSZR57kbRYHqL3oYjGaoesKFe3URrxzu5bufI3gjR2b0UQqs2i3bNywrdq/3qgA9wfEDoURWhBJZwqNZhIDe4RQAoYRGMJ6l3ZsAwPHNBzPfBFRgD/CcqNp/ofTTH4Zb4uM6ADariiIgOqYBkG8xYUiJIgRjaX2qLsolXdf1xeqOSld5Y0eMjJbGajFRcd9CTAp83xUjmdYptpl5Zo2Tj04FGEvr6H0DszUwyfH006rrNkvlC2sXUXWwB6sFqtffiaLA2csxMprk+cfvYHuFk8b2MAORNMGVm2dG/6m8kuW7VPe7XQ8LITCkJDKapaapH4BwIgvAiYsRjneECURm0UWTpPUP2oV567cyo8lZF037DybLYkbEYrEEUHDTx5ud4goQmCc4QEABvPNo4FUT1XWh1Jkf54VuWVMaUsk379N91z3o+tzSTSZEvvlDAeB9xPNr5tz5e+aSby5/sHtJ86FlKkBe5Sp3wU5PC4pinQu41PWk7Ox203zo73kwMjKyTkrZBJj+J98wDGOjw+Fogn/MA5vNdkIIUcUfI/A/w4UQL07AYYqRGTzX+lTq65OfycSY+WbI4taC9IIta7cVlZccviE+VbLv2ZdXZK/0Hsm2XbpXZrXpwXkqeWUPeAtWLXffXrv74r/2pyvu3/lGieEffskYGCrT/EN2IiMqAA6bprqKoyaXs1ksKqq56/3Xzudi/A4h2G7zDwoIggAAAABJRU5ErkJggg==');
}
.flag-fr {
  background-size: cover;
  background-position: center center;
display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAAlFJREFUSIljZMADJmy8oZfoIGn///9/bwYGBgUGBgYZqNQTBgaGB4yMjFs+zV13ULYo8TIuMxixCWZNPWV68cmPZZ+//1M+1GCAVQ0MvLGLY2AS5n/EZWUQLtFafAJdngldILL3dO/io+9OHr35SeXPv394DWdgYGBg+POH4df+U3IfJy099jCysAuvBaFdJ9evOPay6POPP4QNRgP/P39l/L5ie+mD0Lx1WC2In3i2c83J1wH//5NqNLIt/xl+rNkV+CiioBvFgvxZ503XnHhdSpHhyJZsOVj8ILvBCG7B2ftfVnz9SXqw4AL/vnxj/Hv59koGBgYGppJ5F81P3PmkRC3DYeDPsfMqjwpbTJjuvvxe9ecvNcIGFfz/85fh34PnVUxP3/+ypLrpUPD3+StrpkdvfgjSzIJHzwWZPnz9w0IrC/6//8TKxEi1tIMJGBkZ/zPxc7H8oZkNArx/mOREON7TynxmOcn3TFKCbMdoZQGThOgRJjUxthZWZupHBCMLMwOzolQ7U1ey0RlzVb671LaA1crollx/zRkmBgYGBgM57ghudhaqZWcmHq7/POZ64QwM0MJuSobRmQAT4TaqJFlGRgY2b7sese6yC3ALGBgYGJYWm9aEmIuup8gSJiYGznDPNQorJ5bBhZDlV5eZB4VbiPXwcjCTHFyMfDz/uSM8O+VX9Iei2ImucEWpWWmohbihlRr/TWZGRsIWsbAwsNmb3uOJ9zeWXdZXgWExPr3d667ppDlLw5otigyozZZ7jIyMWz/OWn1IrjTlCi4zAKL0z/CGXLA9AAAAAElFTkSuQmCC');
}
.flag-es {
  background-size: cover;
  background-position: center center;
  display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAAdNJREFUSIm1lT9rFEEYh593dk4Eo4h/wWgXs3NgyrTaREhvCHgBIRaC3ZkihR/AIoXfQJskmIuxF7TRj6CCOxet1KBoEP9BcGfvtbk71iSXM97ur9t3dp/nnWGHV9gj64yczYhqilwUdAw40V76oshLQZ8LuhzT/NCLIb3ALcyCItNAtFcTQABWBZ3fTbRDkBBPA/eAoT7g7fkJXHf4h/miyT94RueAlf+A0/6mkRDX88XuDl7jrgq6TI9j20dU0FpMc6Ur8IwOK/IKODogvJPvlnBhhLfvDIAiCwXCAY4E7B0A2ZwdP7e59uuxWA6KpSIVrEQcwBorERUsFYmwiPx9dKqqGYFAqhkpoRU047emBA2kGtg6PnVoUnR94hbK3QK7z0XqBmWiHDiAXjZAtTwBVQOcKlFw2vR/Z6CoAT6VKPhogKREgTcIT8vjy5PSLhqZbh27MjQpAAnxEjBTcPuLDn+t8xfNA18LhH+LyG5Dex44/IagNwEtAN4CbpznzfuuACCm2QDmBpSoInWHX+0UdhuZU8B94PA+4T8Uma2SPMoXd9xkh18DHLAEpP8AToFFwG2HQ5/xmBCfUaRmaF1SZAw42V76DLxQ5JmgDxx+oxfjD1UGrO9FOUf6AAAAAElFTkSuQmCC');
}

.flag-se {
  background-size: cover;
  background-position: center center;
  display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAArJJREFUSImtlUlMU1EYhc97rwOkBWSQIBShDBICBiigUTC6wIWrRlxAFQkxusIQ5hLKHEhISxFl48JggomgCeBKXGoQFBxQbMSWIZiKYCPBUlrSlr7nBhvSyRTet7r5/5tz7rnJ/S8BHzBLBcfhgFQ+fq587EuieM0s4DI0iAjBjj0mZNsYH2p8FXXE2tNb0fTWmwbhqVjT05xbkrtUmXnMUASAujVSgAfv0j0KcEkHLibrV7JEv691lbdNufZJ10Jpp0p9/3329IaFfxUA5SshANhpCs+18fH3JjJel3aplD4NitvVzwY/plabbRyPyXxhsnGJwQ+pdbJ29ahHg9JOlXr4c4rUX2FXnsylXC7bl4QEgNq+5tMjmuSqw4oDAM0Ao5rE2pq7HdlOgxm9aOgg1+KNLSuPmF2NGAYAsrK/I2/ye7SYLfF/TCzHJCn6FTmkfiNI7qBZO7wTO01Bt3G0kdRvBp1hXX0PgynwLEeWqaUL0xbdmklhRue6MH0JSeF//Dbgc2gQjK7ABEB4mJP6YNvtJbMMzemblJitdtItQXGGDnGhWwCAca0Yc2vhfqsHcHYtnOFPJ6hpfZRbMyf2l9NgVJPoddj54nzCD5CxwSa3CcgWkQLLFCkK2+mmSIZ1cR5F42SsoZPsq2p8kxe3usy2Qb74p67lZvcsCQDZMesyAW+XtRghATYmU2QoBvaG3Z3qthlp6oLbZ3EQSAK4krag7K1omXUaAMDj1roGWYZ2jCAOHoQgGJRJNE8HFPIGp+H+DUOtNYXXJd9UQr7db5dgvo0pyZpXDigaivbX3V7yoKKuXpb+VRIaaH0IYPd/wlzSgUspK4s3Ts3nPGqql7v2fc5pZuGCCDRXWv8i//aYJkG8vi3k0TSBSKHFHh1kNiaEG19GCzZ7lNVdM940/gKcHOswN52ZhQAAAABJRU5ErkJggg==');
}
.flag-da {
  background-size: cover;
  background-position: center center;
  display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAAqZJREFUSImtlV1IU2EYx//v+dL5UUp+lG7OSWhBYpmVWVFCH0qZlJnOoOvKkpRKiSZSEmFq0SiCLqKIZpb2oXWhEBNimgRKYBchOiWwpA2nzX0dz+kiG+LZJtPzuzq8D+f3f5+X8z6HIABWqzWJpunC6Vp9uaPDqMGkhRUFgZA1UR56XZyNSU7ooeNjG5X6a33+HMTX4vg53TaFtuAim55aAoC2VdyE4+lb3wKWAZe73Uw2pZ1Kbq4xLa5TixfM2qom55OOz6LVVgaADtQhAIgeHq4uU7L7UeunMW1lQ8CA0aILb5yG91WC3eGzs0AIM3biMHy4PF5c0e4zwKytanK1dRUGK17MbFv3MfOCTigAGC2/vsP97mPlSuUAAEGAq7Pn0thZ3VZvgDj4zbCcY/GHOGMn/NBICwBQY2d0u9x9XzVyyf/D9w6uH6+sz6Iw8bsac3Ny+yF6eAjmiasU/+PnTtnt88z9suQwiuI8IbQgV1KkU1Te59CCfWBSlMEncBzI1NTUDICIFWw0EH8kN1lmBMb+oMUOt1vSQWjRQdCqtQAAV7cJ/NBw0HYSws4yzvYu2vNlSFJkt2z0Bjg7jH6HXSC43ZmgqIQ4yQSUCxITbaJYVcIt0EsOzeDlHAsufUM9pbxf28tlZ4zIHcBmb/6eeKNi4N9XlJ6mpcIVolxysipCDMlILQXmh13Kw7r+kPw9kp/FsqAocEf2NiTqawe8AQCgfqWvCSs+9BpkBUOVECjKDrdqnjfXePMW1pNe3juuKM2/TUWEBX1cJDJcVJzMa1A/ayxZuC65yWrDnSthJ/ZnYnXkYwD8kmKWAXcgZzjy9NEs9Yu71ZJ6oJctFouSYZjCaZ3+vLPTqBEnLRwEASQmykPiY22MJtFIx0c3qvR1/f4cfwGejNv+Sy0ohAAAAABJRU5ErkJggg==');
}

.flag-no {
  background-size: cover;
  background-position: center center;
  display: inline-block;
width: 24px;
height: 24px;
border-radius: 50%;
position: relative;
overflow: hidden;
top: 6px;
margin-right: 3px;
  background: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAACxAAAAsQHGLUmNAAAAGXRFWHRTb2Z0d2FyZQB3d3cuaW5rc2NhcGUub3Jnm+48GgAAAupJREFUSImtVFtIVFEUXefec2ccdRhTS3GaUTONCEN8FkiRWImQEMnEpQd+hRpkljYKvQ0q08ryowI/IvKBJkYPEso+lEKdVPqIijSd6DljmZnjOM49/dSQMzd1YtbXuWvvs9Y+++x7CObA/rrna80W26GtKaHa7BWqIGtUZiwECk6jdnD6iDF+aVgXHxl+RnfhcM+/NIgcabVatfl1g3fbTNaEGSfDpbxY7ErW4HPEek8BgUJITzQL6UkGXcX+bvc45058vNZYSCl9aRl3JMw42VwHBAAwxwymH/foJ2tuPB0WiyvnNBg2FLXa2x7VAgicV9ndaHyCTDU9KB0RD7TIGozkGU9PNbdvZYzJtm1BkCTYGu9vG9lx8OwsA3PRyRR7c7sRbP6WzAvGYL/dUTpScCTJZeAceN0g/bT9f+VukCYmifPFUAMAcOayqhR7V1+Mr8T/YLqzL9ZcfCqZstGxIl4X7gpwS0JkNxCOgI/SemXCxm37qOZcibyiO/yUWDzQ6pUBgBB6omU4Ve5qh77YXOs7fdZZ3wsGY6lEabjH7DM+mB4ZKCnx/JN9CUIIaMGmiFGAeNzDrW4L3o3aAQAbVy/CqqUB3jswZqXHc6N7AWS5x/rfTrgMtiSGYve6MO8NgB76vaTKOv3wiYtRrE+BpqbcM3XKDssa0St1VeZaCyXB6hrnu0874XQCAKSVy2STmcTgHH6/cHWOg6RW1XL6SqNJSE9841VpC4BiXdIr/YXDJg4AhPjlIheg8tmskkB/poyPE4Hfj52+9rhJlbu5AsQH7x0hUORsqNRePtrvMgAA3fWzx/wMWa2EkP8/CcchQMxujq4/X+ai/o5HNV3cpsjJKATww2ttTSBTidlndPXnDbN498SIfPEKz/MxIWqhl/Lzt4woBPhlpA3679meGHmz2mO+qdwmtVptAZC696op7cNXh1Hjz2klSQoilI+DQEGCNQ6qC//Ga8M6EaU9HVld/gwd8gX8AsYF9gdeshQFAAAAAElFTkSuQmCC');
}

.footer {
display: inline;
line-height: 24px;
position: relative;
overflow: hidden;
font-size: 16px;
font-weight:  bold;
text-align: left;
}

.footer a {padding-right: 10px !important}



header {
    display: flex;
    width: 63vmin;
    margin: 0 auto;
    justify-content: space-between;
    align-items: baseline;
    border-bottom: var(--border-standard);
    margin-bottom: 2vmin;
}

header img {
    width: 4vmin;
    height: 4vmin;
    cursor: grab;
}

header img:active {
    cursor: grabbing;
}

h1 {
    text-transform: uppercase;
    font-size: 5vmin;
    font-weight: 500;
    margin: 1vmin 4vmin;
    cursor: grab;
}

h1:active {
    cursor: grabbing;
}

/*
-------------------------------------------------------------------
KEYBOARD
-------------------------------------------------------------------
*/
#keyboard {
    display: flex;
    margin: 3vmin auto;
    justify-content: space-between;
    align-items: stretch;
    gap: 1vmin;
    padding: 2vmin;
    flex-wrap: wrap;
    max-width: 95vmin;
}

.key {
    cursor: grab;
    flex: 1 1 7.5%;
    background-color: var(--key-bg-color);
    color: var(--key-font-color);
    text-transform: uppercase;
    font-size: 3vmin;
    border-radius: 1vmin;
    padding: 1vmin;
    line-height: 2;
    text-align: center;
}

.input {
    flex-grow: 18;
}

.key:active {
    cursor: grabbing;
    background-color: var(--key-highlight-bg-color);
    color: var(--key-font-color);
}

/*
-------------------------------------------------------------------
ROWS
-------------------------------------------------------------------
*/
.row {
    display: flex;
    margin: 0 auto;
    justify-content: center;
}

.letter {
    border: var(--border-highlight);
    width: 8vmin;
    height: 8vmin;
    margin: 0.5vmin;
    padding: 0.5vmin;
    font-size: 6vmin;
    text-align: center;
    line-height: 1.1;
    text-transform: uppercase;
    font-weight: 500;
	transition: all 0.5s;
}

.letter:empty {
	border: var(--border-standard);
}

.correct {
    background-color: var(--color-correct);
    border-color: var(--color-correct);
    color: var(--highlight-font-color);
}

.present {
    background-color: var(--color-present);
    border-color: var(--color-present);
    color: var(--highlight-font-color);
}

.absent {
    background-color: var(--color-absent);
    border-color: var(--color-absent);
    color: var(--highlight-font-color);
}

/*
-------------------------------------------------------------------
MODALS
-------------------------------------------------------------------
*/
aside {
    position: absolute;
    top: 12vmin;
    left: 50%;
    transform: translateX(-50%);
    width: 75vmin;
    background-color: var(--main-bg-color);
    padding: 2vmin;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;

}

aside .row {
    justify-content: flex-start;
}

aside .letter {
    width: 6vmin;
    height: 6vmin;
    margin: 0.5vmin;
    padding: 0.5vmin;
    font-size: 4vmin;
    line-height: 1.1;
}

.modal {
    top: 22%;
    width: initial;
    background-color: #444;
    color: #ddd;
    border-radius: 0.5vmin;
    font-size: 2vmin;
    text-align: center;
}

h2 {
    font-size: 3vmin;
    font-weight: 600;
    margin: 0;
}

h3 {
    font-size: 2.5vmin;
    font-weight: 500;
    /* margin: 0 0 1vmin 0; */
}

h4 {
    font-size: 1.8vmin;
    font-weight: 400;
    /* margin: 0 0 1vmin 0; */
}

.option {
  display: block;
  position: relative;
  padding: 0 6vmin;
  margin: 3vmin 0;
  cursor: pointer;
  user-select: none;
}

.option input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 3.5vmin;
  width: 3.5vmin;
  background-color: var(--color-absent);
}

.option input:checked ~ .checkmark {
  background-color: var(--color-correct);
}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.option input:checked ~ .checkmark:after {
  display: block;
}

.option .checkmark:after {
  left: 1.25vmin;
  top: 0.75vmin;
  width: 0.7vmin;
  height: 1.5vmin;
  border: solid white;
  border-width: 0 3px 3px 0;
  transform: rotate(45deg);
}

.hidden {
    display: none;
}

/*
-------------------------------------------------------------------
ANIMATIONS
-------------------------------------------------------------------
*/
.jump {
    animation: jump 0.5s;
}

.shake {
    animation: shake 0.5s;
}

@keyframes jump {
    0% {
        transform: translateY(0vmin);
    }

    50% {
        transform: translateY(-2vmin);
    }

    100% {
        transform: translateY(0vmin);
    }
}

.letter:nth-child(1) {
	animation-delay: calc(var(--animation-delay)*1);
}

.letter:nth-child(2) {
	animation-delay: calc(var(--animation-delay)*2);
}

.letter:nth-child(3) {
	animation-delay: calc(var(--animation-delay)*3);
}

.letter:nth-child(4) {
	animation-delay: calc(var(--animation-delay)*4);
}

.letter:nth-child(5) {
	animation-delay: calc(var(--animation-delay)*5);
}

@keyframes shake {
    0% {
        transform: translateX(0vmin);
    }

    20%, 60% {
        transform: translateX(-1vmin);
    }

	40%, 80% {
        transform: translateX(+1vmin);
    }

    100% {
        transform: translateX(0vmin);
    }
}

/*
-------------------------------------------------------------------
MEDIA QUERIES
-------------------------------------------------------------------
*/
@media (prefers-color-scheme: dark) {
    :root {
        --main-bg-color: #111;
        --main-font-color: #CCC;
        --border-standard: 2px solid #aaa;
		--border-highlight: 2px solid #ddd;
        --key-font-color: #111;
        --key-highlight-bg-color: #ccc;
        --key-bg-color: #aaa;
    }

	header img {
		filter: invert(.75);
	}
}

@media only screen and (max-width: 450px) and (orientation: portrait) {
    body {
        font-size: 4vmin;
    }

    header {
        width: 90vmin;
    }

    header img {
        width: 6vmin;
        height: 6vmin;
    }

    h1 {
        font-size: 8vmin;
    }


    .letter {
        width: 16vmin;
        height: 16vmin;
        margin: 1vmin;
        padding: 1vmin;
        font-size: 11vmin;
    }

    aside .letter {
        width: 10vmin;
        height: 10vmin;
        margin: 1vmin;
        padding: 1vmin;
        font-size: 8vmin;
        line-height: 0.9;
    }

    h2 {
        font-size: 5vmin;
        font-weight: 600;
        margin: 0;
    }

    h3 {
        font-size: 4vmin;
        font-weight: 600;
        margin: 0 0 2vmin 0;
    }

    #keyboard {
        justify-content: space-between;
        align-items: stretch;
        gap: 1vmin;
        padding: 1vmin;
        max-width: 99vmin;
    }

    .key {
        font-size: 5vmin;
    }

    aside {
        width: 90vmin;
        padding: 3vmin;
    }

    .modal {
        font-size: 4vmin;
    }

    .option {
      padding: 0 6vmin;
      margin: 3vmin 0;
    }

    .checkmark {
      height: 5vmin;
      width: 5vmin;
    }

    .option .checkmark:after {
      left: 1.5vmin;
      top: 0.5vmin;
      width: 1.2vmin;
      height: 2.3vmin;
    }
}
